View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000759Ecere SDKide:autocompletepublic2012-07-30 21:192013-08-07 03:33
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000759: Overriding virtual methods is buggy
Description- Behavior differs between doing it from method sheet or from typing in the CodeEditor
- Method Sheet way produces non-compilable code -- This was caused by a 'void' argument, and only occurred with methods taking no arguments (e.g. OnCreate)
Steps To Reproduce- New project (with form)
- Add a button
- Go to method sheet
- Double click OnCreate
- Notice it doesn't compile
--------
- Try writing OnCreate in code editor. notice it just says 'return true'
Additional Information- See commented out code in OverrideVirtualFunction() in CodeEditor.ec
It's missing a test object for the comparison to uncomment it...

- See same code (uncommented this time) broken in UpdateInstanceCode() and UpdateFormCOde()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000624)
jerome (administrator)
2012-07-31 03:31

Fixed by https://github.com/ecere/sdk/commit/791bf5447709969a8a385ed04eb8f93294af24fe [^]

- Issue History
Date Modified Username Field Change
2012-07-30 21:19 jerome New Issue
2012-07-30 21:19 jerome Status new => assigned
2012-07-30 21:19 jerome Assigned To => jerome
2012-07-30 21:21 jerome Additional Information Updated
2012-07-31 01:37 jerome Description Updated
2012-07-31 02:54 jerome Description Updated
2012-07-31 03:31 jerome Status assigned => resolved
2012-07-31 03:31 jerome Fixed in Version => 0.44.1 Android
2012-07-31 03:31 jerome Resolution open => fixed
2012-07-31 03:31 jerome Note Added: 0000624
2013-05-22 20:29 jerome Status resolved => closed
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker